Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.memtree
Class CommentImpl

    java.lang.Object
      org.exist.memtree.NodeImpl
          org.exist.memtree.CommentImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Comment, java.lang.Comparable, Item, org.w3c.dom.Node, NodeValue, QNameable, Sequence

public class CommentImpl
extends NodeImpl
implements org.w3c.dom.Comment

Field Summary

Fields inherited from class org.exist.memtree.NodeImpl
`NAMESPACE_NODE, REFERENCE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.exist.xquery.value.NodeValue
`IN_MEMORY_NODE, PERSISTENT_NODE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`CommentImpl(DocumentImpl doc, int nodeNumber)`

Method Summary
`void` | `appendData(java.lang.String arg0)`
`void` | `deleteData(int arg0, int arg1)`
`java.lang.String` | `getData()`
`org.w3c.dom.Node` | `getFirstChild()`
`java.lang.String` | `getStringValue()` Return the string value of this item (see the definition of string value in XPath).
`void` | `insertData(int arg0, java.lang.String arg1)`
`void` | `replaceData(int arg0, int arg1, java.lang.String arg2)`
`void` | `setData(java.lang.String arg0)`
`java.lang.String` | `substringData(int arg0, int arg1)`
`java.lang.String` | `toString()`

Methods inherited from class org.exist.memtree.NodeImpl
`add, addAll, addContextNode, after, appendChild, atomize, before, clearContext, cloneNode, compareDocumentPosition, compareTo, conversionPreference, convertTo, copyTo, deepCopy, effectiveBooleanValue, equals, equals, expand, getAttributes, getBaseURI, getCardinality, getChildNodes, getDocument, getDocumentSet, getFeature, getImplementationType, getItemType, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeNumber, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQName, getTextContent, getType, getUserData, hasAttributes, hasChildNodes, hasMany, hasOne, insertBefore, isCached, isDefaultNamespace, isEmpty, isEqualNode, isPersistentSet, isSameNode, isSupported, itemAt, iterate, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeDuplicates, replaceChild, setIsCached, setNodeValue, setPrefix, setSelfAsContext, setTextContent, setUserData, streamTo, toJavaObject, toNodeSet, toSAX, toSequence, unorderedIterator`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`getLength`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### CommentImpl

    public CommentImpl(DocumentImpl doc,
                       int nodeNumber)

Parameters:
  `doc` -
  `nodeNumber` -

Method Detail

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`

### getStringValue

    public java.lang.String getStringValue()

  Description copied from interface: `Item`
  Return the string value of this item (see the definition of string value in XPath).

  Specified by:
    `getStringValue` in interface `Item`
  Overrides:
    `getStringValue` in class `NodeImpl`

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(java.lang.String arg0)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### substringData

    public java.lang.String substringData(int arg0,
                                          int arg1)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(java.lang.String arg0)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### insertData

    public void insertData(int arg0,
                           java.lang.String arg1)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int arg0,
                           int arg1)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int arg0,
                            int arg1,
                            java.lang.String arg2)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.